Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/common/countries/{country_iso_code}/states \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"states": [
{
"name": "<string>",
"iso_code": "<string>",
"id": "<string>",
"gst_code": "<string>",
"state_alias": "<string>"
}
]
}
}Retrieve country wise states
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/common/countries/{country_iso_code}/states \
--header 'Authorization: Bearer <token>'{
"message": "<string>",
"success": true,
"content": {
"states": [
{
"name": "<string>",
"iso_code": "<string>",
"id": "<string>",
"gst_code": "<string>",
"state_alias": "<string>"
}
]
}
}Was this page helpful?